apiVersion: kubescheduler.config.k8s.io/v1
kind: KubeSchedulerConfiguration
leaderElection:
  leaderElect: true
clientConnection:
  kubeconfig: /etc/kubernetes/scheduler.conf
profiles:
- schedulerName: default-scheduler
  plugins:
    score:
      enabled:
        - name: LoadVariationRiskBalancing
  pluginConfig:
    - name: LoadVariationRiskBalancing
      args:
        safeVarianceMargin: 1
        safeVarianceSensitivity: 2
        # MUST BE ACTUAL CLUSTER IP FOR LOAD WATCHER SERVICE
        watcherAddress: http://10.233.48.49:2020